%define mm_major 1
%define mm_minor 1.3
%define mm_version %{mm_major}.%{mm_minor}
%define EAPI_version 2.7.1
%define apache_version 1.3.14
%define apache_release 2mdk
%define mod_perl_version 1.24
%define embperl_version 1.3b6

%define sysconfdir /etc
%define apachecontent /var/www/html
%define apachebase %{sysconfdir}/httpd
%define apacheroot /var/www
%define oldapacheroot /home/httpd
%define apachelogs /var/log

%define archlibexp %(eval `perl '-V:archlibexp'`; echo $archlibexp) 
%define perl_sitearch %(eval `perl '-V:installsitearch'`; echo $installsitearch) 
%define perl_man3dir %(eval `perl '-V:installman3dir'`; echo $installman3dir) 

Summary: The most widely used Web server on the Internet.
Summary(fr): Le serveur web le plus utilise sur Internet.
Summary(ru):   -  .
Name: apache
Version: %{apache_version}
Release: %{apache_release}
Group: System/Servers
URL: http://www.advancedextranet.com
Copyright: Apache License
Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>
Vendor: MandrakeSoft
Distribution: Linux-Mandrake
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Provides: webserver
Requires: apache-common >= %{apache_version}-%{apache_release}
Requires: mm = %{mm_major}.%{mm_minor}

BuildRequires: mm-devel = %{mm_major}.%{mm_minor}, perl >= 5.600
BuildRequires: perl-libwww-perl, perl-HTML-Parser, perl-URI
BuildRequires: perl-MIME-Base64, perl-libnet, perl-Digest-MD5
BuildRequires: perl-Apache-Session
BuildRequires: perl-devel, gdbm-devel

Source: apache_%{version}.tar.bz2
Source1: index.shtml
Source4: apache.logrotate
Source5: httpd.conf
Source6: mod_include_xssi.c
Source9: EAPI-%{EAPI_version}.tar.bz2
Source12: mod_frontpage.c

Source13: mod_perl-%{mod_perl_version}.tar.bz2  
Source15: httpd-perl.conf
Source16: proxied_handlers.pl

Source22: mod_include_xssi.html
Source23: mime.types
Source24: logo.gif
Source25: apache_pb.gif
Source26: netmin.gif
Source27: Vhosts.conf
Source28: sgi_performance.gif

Source30: mandrake.html
Source31: medbutton.png
Source33: httpd.init.mandrake
Source34: optim.html

Source40: solaris.html
Source41: usparc2.gif
Source42: solaris.gif
Source43: httpd.init.solaris

Source50: DynamicVhosts.conf
Source51: VirtualHomePages.conf

Source60: mod_perl.html

Source70: ftp://ftp.dev.ecos.de/pub/perl/embperl/HTML-Embperl-%{embperl_version}.tar.bz2
Source71: embperl-apache.diff
Source72: HTML-Embperl.html
Source73: embperl-test.patch
Source74: buflogs.patch

Patch1: apache_1.3.11-apxs.patch.bz2
Patch2: apache_1.3.11-srvroot.patch.bz2
Patch3: apache_1.3.3-nondbm.patch.bz2
Patch4: Configuration.diff.bz2
Patch5: BASEVERSION.patch.bz2

# Patch6 is obsolete with the sgi patch, but I keep it in source
# package just in case. 
Patch6: netrevolution.patch.bz2
Patch8: fp-patch-apache_1.3.6.bz2
Patch9: fp-fpexe-patch.bz2
Patch10: fp-fpexe-patch2


Patch15: 10xpatch-1.3.12-EAPI
Patch16: 10xpatch-1.3.12-XSSI
Patch17: 10xpatch-1.3.12-SSI
Patch18: 10xpatch-1.3.12-1
Patch19: 10xpatch-1.3.12-2

Patch30: buff.patch.bz2
Patch31: mod_log_config.patch.bz2

Patch72: mod_perl.patch
Patch73: mod_perl14.patch
Patch74: mod_rewrite.patch.bz2

%description
Apache is a powerful, full-featured, efficient and freely-available
Web server. Apache is also the most popular Web server on the
Internet.

This special version also includes many optimizations, Extended Application 
Programming Interface (EAPI), Shared memory module, Hotwired XSSI module, 
hooks for SSL module and several cosmetic improvements. Also
included is the FrontPage 2000 patch, however you need to install the
frontpage package to enable it.

%description -l fr
Apache est un serveur Web puissant, efficace, gratuit et complet. Apache est
aussi le serveur Web le plus populaire sur Internet.

Cette version speciale inclut egalement plusieurs optimisations, l'Interface
de Programmation d'Applications Etendu (EAPI), le module de memoire
partagee, un module XSSI de Hotwired , des attaches pour le
module SSL ainsi que plusieurs ameliorations cosmetiques. La patch FrontPage
2000 est egalement incluse, toutefois vous devrez installer le package
additionnel frontpage pour utiliser ces fonctions.

%description -l ru
Apache - , ,  
  -.  , Apache -  
-  .

     ,
Extended Application Programming Interface (EAPI)   
,  XSSI  Hotwired,   SSL   
.     FrontPage 2000,   
 frontpage,   .

%package mod_perl
Summary: Apache Web server with a built-in Perl interpreter
Summary(ru): - Apache    Perl
Version: %{apache_version}_%{mod_perl_version}
Group: System/Servers
#Icon: mod_perl.gif
Provides: webserver mod_perl
Obsoletes: mod_perl
Requires: apache-common >= %{apache_version}-%{apache_release}, perl = 5.600
Requires: mm = %{mm_major}.%{mm_minor}

%description mod_perl
Apache is a powerful, full-featured, efficient and freely-available
Web server. 

mod_perl incorporates a Perl interpreter into the Apache web
server, so that the Apache web server can directly execute Perl
code.  Mod_perl links the Perl runtime library into the Apache
web server and provides an object-oriented Perl interface for
Apache's C language API.  The end result is a quicker CGI script
turnaround process, since no external Perl interpreter has to
be started.

This package contains Apache with mod_perl linked statically. It also
contains a statically linked HTML::Embperl module, but you need the separate
HTML-Embperl package to activate it.

%description -l fr mod_perl
Apache est un serveur Web puissant, efficace, gratuit et complet. Apache est
aussi le serveur Web le plus populaire sur Internet.

Mod_perl incorpore un interpreteur Perl dans le serveur web Apache, qui peut
executer directement le code Perl. Mod_perl linke la librairie run-time de
Perl dans le serveur web Apache et fournit une interface Perl orientee objet
a l'API en langage C de Apache. Le resultat final est un script CGI beaucoup
plus rapide a executer, puisqu'on ne doit demarrer aucun interpreteur Perl
externe.

Ce package contient Apache avec mod_perl, linke statistiquement. Il contient
aussi un module HTML::Embperl statique, mais vous devez installer le package
HTML-Embperl pour l'activer.

%description -l ru mod_perl
Apache - , ,  
  -.

mod_perl   Apache   Perl  
-   Perl   Apache API.  
 -   CGI-,   
     Perl-.

  Apache    mod_perl. 

%package mod_perl-devel
Summary: apache-mod_perl development files
Version: %{apache_version}_%{mod_perl_version}
Group: System/Servers
#Icon: mod_perl.gif
Requires: apache-common >= %{apache_version}-%{apache_release}
Requires: apache-mod_perl >= %{apache_version}-%{apache_release}, perl = 5.600

%description mod_perl-devel
The apache-mod_perl include files for developing mod_perl modules

%package -n HTML-Embperl
Summary: HTML::Embperl module
Version: %{embperl_version}
Group: System/Servers
Requires: perl = 5.600, apache-common

%description -n HTML-Embperl
Embeded perl allows perl to be embeded with HTML pages that are served out
to clients.

This module contains support for apache-mod_perl, support for standalone
mode, or cgi under any webserver.

%package manual
Summary: Apache Manuel
Group: System/Servers
Requires: apache-common

%description manual
This package contains the Apache server documentation in HTML format.

%package common
Group: System/Servers
Summary: Files common for apache and apache-mod_perl installations
Summary(ru):     apache  apache-mod_perl

%description common
This package contains files required for both apache and apache-mod_perl
package installations. Install this if you want to install Apache or/and
Apache with mod_perl.


%package devel
Group: Development/C
Summary: Module development tools for the Apache web server.
Summary(fr): Les outils de developpement de modules pour le serveur web Apache
Obsoletes: secureweb-devel
Requires: apache >= %{apache_version}-%{apache_release}


%description devel
The apache-devel package contains the source code for the Apache
Web server and the APXS binary you'll need to build Dynamic
Shared Objects (DSOs) for Apache.

If you are installing the Apache Web server and
you want to be able to compile or develop additional modules
for Apache, you'll need to install this package.

%description -l fr devel
Le package apache-devel contient le code source pour le serveur Web Apache
et le binaire APXS dont vous aurez besoin pour construire des Objets
Dynamiques Partages (DSOs) pour Apache.

Si vous installez le serveur Web Apache et voulez etre en mesure de compiler
ou de developper des modules additionnels pour Apache, vous devrez installer
ce package.

%description -l ru devel
       - Apache
  APXS,       (DSO).

   - Apache    
    ,     .

%package suexec
Group: System/Servers
Summary: Suexec binary for apache
Summary(fr): Executable suexec pour apache
Summary(ru):  suexec  Apache
Requires: apache-common >= %{apache_version}-%{apache_release}

%description suexec
This package adds suexec to Apache. Suexec provides Apache users the ability
to run CGI and SSI programs under user IDs different from the user ID of the
calling web-server. Normally, when a CGI or SSI program executes, it runs as
the same user who is running the web server. 

%description -l fr suexec
Ce package ajoute les fonctions suexec a Apache. Ceci permet aux usagers
d'Apache la possibilite d'executer des programmes CGI et SSI sous des ID
differents du ID du serveur web appelant. Normalement, quand un programe CGI
ou SSI execute, il roule en tant que l'usager qui roule le serveur web.

%description -l ru suexec
    Apache suexec.     CGI-
 SSI-   ,   
 -.


%prep
rm -rf $RPM_BUILD_DIR/pkg.{eapi,addon}
# Add the "apache" user
/usr/sbin/useradd -c "Apache" -u 48 \
	-s /bin/bash -r -d /var/www apache 2> /dev/null || :

#unpack mod_perl
%setup -q -n mod_perl-%{mod_perl_version} -T -b 13
%patch72 -p0
%patch73 -p0

# unpack HTML-Embperl
%setup -q -n HTML-Embperl-%{embperl_version} -T -b 70

#unpack apache.
%setup -q -n apache_%{apache_version}
%patch1 -p1 
%patch2 -p1 
%patch3 -p1 
%patch4 -p1
%patch5 -p1
%patch74 -p1

perl -pi -e 's|" PLATFORM "|%{distribution}/%{apache_release}|;' \
	$RPM_BUILD_DIR/apache_%{apache_version}/src/main/http_main.c

perl -pi -e 's|%{oldapacheroot}|%{apacheroot}|;' \
	$RPM_BUILD_DIR/apache_%{apache_version}/config.layout

perl -pi -e 's|\$prefix/man|%{_mandir}|;' \
	$RPM_BUILD_DIR/apache_%{apache_version}/config.layout

cd ..
rm -rf apache-mod_perl_%{apache_version}
cp -pr apache_%{apache_version} apache-mod_perl_%{apache_version}
cd apache_%{apache_version}

#%patch6 -p1 (not required anymore)
%patch8 -p1
%patch9 -p1
%patch10 -p1

# XSSI module
cp %{SOURCE6} $RPM_BUILD_DIR/apache_%{apache_version}/src/modules/standard 

#### EAPI
%setup -q -n apache_%{apache_version} -T -D -b 9
mv ../pkg.eapi/*.c src/ap/
mv ../pkg.eapi/*.h src/include/ 
mv ../pkg.addon/*.c src/modules/extra
cp src/modules/extra/mod_define.c src/modules/standard
perl -p -i -e "s/^--- /--- .\//g" ../pkg.addon/addon.patch
perl -p -i -e "s/^\+\+\+ /\+\+\+ .\//g" ../pkg.addon/addon.patch
patch -p1 < ../pkg.addon/addon.patch
perl -p -i -e "s/^--- /--- .\//g" ../pkg.eapi/eapi.patch
perl -p -i -e "s/^\+\+\+ /\+\+\+ .\//g" ../pkg.eapi/eapi.patch
patch -p1 < ../pkg.eapi/eapi.patch
####

######## SGI Patches ##########
%patch15 -p1 
%patch16 -p1 
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch30 -p1
##############################

%build
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT 

echo "### define configure flags"
APVARS="--prefix=/usr \
	--with-layout=%{distribution} \
	--disable-rule=WANTHSREGEX \
        --with-perl=%{_bindir}/perl \
	--enable-module=all \
	--enable-module=auth_digest \
	--disable-module=auth_dbm \
	--enable-shared=max \
	--enable-suexec \
	--suexec-caller=apache \
	--suexec-docroot=%{apacheroot} \
	--suexec-userdir=public_html \
	"

echo "### Build the *normal* Apache"
# qsc use intel asm statements.
%ifarch i386 i486 i586 i686 k6 k7
OPTIM="%{optflags} -DFAST_TIME -DNO_GRACEFUL -DUSE_QUICK_LOG -DUSE_STAT_CACHE -DUSE_QSC" \
%else
OPTIM="%{optflags} -DFAST_TIME -DNO_GRACEFUL -DUSE_QUICK_LOG -DUSE_STAT_CACHE" \
%endif
EAPI_MM=SYSTEM \
CFLAGS='-DEAPI_MM_CORE_PATH=\\\"/var/run/mm\\\" -DSGI_BOOST -DUSE_PARSE_FORM -DUSE_RANDOM_SSI' \
LIBS="-lgdbm -lpthread"\
	./configure --enable-rule=EAPI \
	--add-module=%{SOURCE6} \
	--add-module=%{SOURCE12} \
	$APVARS

#	--enable-module=mmap_static \

if [ x"$SMP" != x"" ]; then
	make MAKE="make -j $SMP -k"
else make
fi
pushd src/modules/standard
cp mod_log_config.c mod_log_config_buffered.c
patch -p0 < %{SOURCE74}
popd
make


echo "### configure and pre-compile mod_perl and apache for embperl"
cd $RPM_BUILD_DIR/mod_perl-%{mod_perl_version}
perl -pi -e "s|PRODUCT|BASEPRODUCT|;" Makefile.PL
perl Makefile.PL \
     APACHE_SRC=../apache-mod_perl_%{apache_version}/src \
     DO_HTTPD=1 \
     USE_APACI=1 \
     EVERYTHING=1 \
     APACI_ARGS="$APVARS --disable-shared=include --disable-shared=perl"
perl -pi -ple 's/OPTIM=/OPTIM=%{optflags}/' \
    `find ../apache-mod_perl_%{apache_version} -name Makefile -print`
make

echo "### patch Apache to enable linking mod_perl with embperl"
cd $RPM_BUILD_DIR/apache-mod_perl_%{apache_version} 
patch -p0 < %{SOURCE71}

echo "### build embperl"
cd $RPM_BUILD_DIR/HTML-Embperl-%{embperl_version} 
(echo y;echo y)| \
    perl -I$RPM_BUILD_DIR/mod_perl-%{mod_perl_version}/blib/lib Makefile.PL 
perl -pi -e \
    "s|{ . |{ . $RPM_BUILD_DIR/mod_perl-%{mod_perl_version}/blib/lib |;" \
    test/conf/startup.pl
patch -p0 < %{SOURCE73}
make

echo "### build Apache with mod_perl+embperl linked statically, also build Perl-side"
# files
cd $RPM_BUILD_DIR/mod_perl-%{mod_perl_version} 
make
cd faq
make
cd ..
make test

echo "### test embperl to make sure everything was linked successfully"
cd $RPM_BUILD_DIR/HTML-Embperl-%{embperl_version} 
%ifarch alpha
#do not run test
%else
make test
%endif

#-----------------------------------

%install

# install mod_perl files
cd $RPM_BUILD_DIR/mod_perl-%{mod_perl_version}
make PREFIX=$RPM_BUILD_ROOT/usr install_perl
find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | grep -v include > \
	$RPM_BUILD_DIR/apache_%{apache_version}/mod_perl-filelist
find $RPM_BUILD_ROOT/usr -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | grep include > \
	$RPM_BUILD_DIR/apache_%{apache_version}/mod_perl-devel-filelist

# install HTML-Embperl
cd $RPM_BUILD_DIR/HTML-Embperl-%{embperl_version} 
make install PREFIX=$RPM_BUILD_ROOT/tmp/usr
rm -f $RPM_BUILD_ROOT/tmp/%{perl_sitearch}/auto/HTML/Embperl/.packlist
rm -f $RPM_BUILD_ROOT/tmp/%{perl_sitearch}/auto/HTML/Embperl/Embperl.bs
find $RPM_BUILD_ROOT/tmp/usr -type f -print | sed "s@^$RPM_BUILD_ROOT/tmp@@g" | grep -v perllocal.pod > $RPM_BUILD_DIR/apache_%{apache_version}/HTML-Embperl-filelist
rm -rf $RPM_BUILD_ROOT/tmp/usr
make install PREFIX=$RPM_BUILD_ROOT/usr
rm -f $RPM_BUILD_ROOT/%{perl_sitearch}/auto/HTML/Embperl/.packlist
rm -f $RPM_BUILD_ROOT/%{perl_sitearch}/auto/HTML/Embperl/Embperl.bs
mkdir -p $RPM_BUILD_DIR/apache_%{apache_version}/embperl
cp -R README TODO eg embpexec.pl *.pod \
	$RPM_BUILD_DIR/apache_%{apache_version}/embperl
cat << EOF > $RPM_BUILD_DIR/apache_%{apache_version}/embperl/.htaccess
<Files ~ (\.htm)>
SetHandler perl-script
PerlHandler HTML::Embperl
</Files>
EOF


# Fix the filelists for compressed man pages
perl -pi -e "s|\.3|\.3.bz2|g;" $RPM_BUILD_DIR/apache_%{apache_version}/*filelist

# install the normal Apache
cd $RPM_BUILD_DIR/apache_%{apache_version}
make root=$RPM_BUILD_ROOT install
#make distclean
cp src/modules/standard/mod_log_config_buffered.so \
	$RPM_BUILD_ROOT/usr/lib/apache/

# install apache-mod_perl 
cd $RPM_BUILD_DIR/apache-mod_perl_%{apache_version}
install -m755 src/httpd $RPM_BUILD_ROOT%{_sbindir}/httpd-perl
install -d -m755 $RPM_BUILD_ROOT%{_libdir}/perl-apache/
install -m755 src/modules/*/*.so $RPM_BUILD_ROOT%{_libdir}/perl-apache/

#install misc documentation and logos
install -m644 $RPM_SOURCE_DIR/index.shtml \
        $RPM_BUILD_ROOT/%{apachecontent}/index.shtml
install -m644 $RPM_SOURCE_DIR/optim.html \
        $RPM_BUILD_DIR/apache_%{apache_version}/optim.html
install -d -m755 $RPM_BUILD_ROOT/%{apachecontent}/addon-modules/  
install -d -m755 $RPM_BUILD_ROOT/%{apacheroot}/icons/
install -m644 $RPM_BUILD_DIR/pkg.addon/mod_define.html \
	$RPM_BUILD_ROOT/%{apachecontent}/manual/mod/mod_define.html
install -m644 $RPM_SOURCE_DIR/mod_include_xssi.html \
        $RPM_BUILD_ROOT/%{apachecontent}/addon-modules
install -m 644 $RPM_SOURCE_DIR/logo.gif \
	$RPM_BUILD_ROOT/%{apacheroot}/icons/
install -m 644 $RPM_SOURCE_DIR/sgi_performance.gif \
	$RPM_BUILD_ROOT/%{apacheroot}/icons/
install -m 644 $RPM_SOURCE_DIR/apache_pb.gif \
	$RPM_BUILD_ROOT/%{apacheroot}/icons/
install -m 644 $RPM_SOURCE_DIR/netmin.gif \
	$RPM_BUILD_ROOT/%{apacheroot}/icons/
install -m 644 $RPM_SOURCE_DIR/medbutton.png \
	$RPM_BUILD_ROOT/%{apacheroot}/icons/
install -m 644 $RPM_SOURCE_DIR/usparc2.gif \
	$RPM_BUILD_ROOT/%{apacheroot}/icons/
install -m 644 $RPM_SOURCE_DIR/solaris.gif \
	$RPM_BUILD_ROOT/%{apacheroot}/icons/

# install Embperl info page
install -m644 $RPM_SOURCE_DIR/HTML-Embperl.html \
        $RPM_BUILD_ROOT/%{apachecontent}/addon-modules


# install log rotation stuff
install -d -m755 $RPM_BUILD_ROOT%{sysconfdir}/logrotate.d
install -m644 $RPM_SOURCE_DIR/apache.logrotate \
	$RPM_BUILD_ROOT%{sysconfdir}/logrotate.d/apache

ln -sf ../..%{apachelogs}/httpd $RPM_BUILD_ROOT%{apachebase}/logs
ln -sf ../..%{_libdir}/apache $RPM_BUILD_ROOT%{apachebase}/modules
ln -sf ../..%{_libdir}/perl-apache $RPM_BUILD_ROOT%{apachebase}/perl-modules


# replace Apache's default config files with our own versions
install -m644 $RPM_SOURCE_DIR/httpd.conf \
	$RPM_BUILD_ROOT%{apachebase}/conf/httpd.conf
install -m 644 $RPM_SOURCE_DIR/httpd-perl.conf \
	$RPM_BUILD_ROOT%{apachebase}/conf/httpd-perl.conf
cd $RPM_BUILD_ROOT%{apachebase}/conf/
install -d -m755 addon-modules
install -m644 $RPM_SOURCE_DIR/mime.types \
	$RPM_BUILD_ROOT%{apachebase}/conf/apache-mime.types
cp -p apache-mime.types apache-mime.types.default
install -d -m755 vhosts
install -m644 $RPM_SOURCE_DIR/Vhosts.conf \
	$RPM_BUILD_ROOT%{apachebase}/conf/vhosts
install -m644 $RPM_SOURCE_DIR/DynamicVhosts.conf \
	$RPM_BUILD_ROOT%{apachebase}/conf/vhosts
install -m644 $RPM_SOURCE_DIR/VirtualHomePages.conf \
	$RPM_BUILD_ROOT%{apachebase}/conf/vhosts


# install mod_perl files
cd $RPM_BUILD_DIR/mod_perl-%{mod_perl_version}
make pure_install PREFIX=$RPM_BUILD_ROOT/usr
rm -f $RPM_BUILD_ROOT%{archlibexp}/auto/Apache/Symbol/Symbol.bs
rm -f $RPM_BUILD_ROOT%{archlibexp}/auto/Apache/Leak/Leak.bs
install -d -m755 $RPM_BUILD_ROOT/%{apachecontent}/addon-modules/mod_perl
install -m 644 htdocs/manual/mod/mod_perl.html \
	$RPM_BUILD_ROOT/%{apachecontent}/addon-modules/mod_perl
perl -pi -e "s|../../../|/manual/images/|g;" \
	$RPM_BUILD_ROOT/%{apachecontent}/addon-modules/mod_perl/mod_perl.html
install -m 644 %{SOURCE60} \
	$RPM_BUILD_ROOT/%{apachecontent}/addon-modules/mod_perl
install -m 644 README \
	$RPM_BUILD_ROOT/%{apachecontent}/addon-modules/mod_perl/README.txt
install -m 644 SUPPORT Changes ToDo \
	$RPM_BUILD_ROOT/%{apachecontent}/addon-modules/mod_perl
install -m 644 faq/*.html faq/*.txt \
	$RPM_BUILD_ROOT/%{apachecontent}/addon-modules/mod_perl
install -m 644 apache-modlist.html mod_perl.gif eg/perl_sections.txt \
	$RPM_BUILD_ROOT/%{apachecontent}/addon-modules/mod_perl
install -m 644 eg/{httpd.conf,startup}.pl \
	$RPM_BUILD_ROOT/%{apachecontent}/addon-modules/mod_perl
install -m 644 $RPM_SOURCE_DIR/proxied_handlers.pl \
	$RPM_BUILD_ROOT/%{apachebase}/conf/addon-modules
install -d -m755 $RPM_BUILD_ROOT/%{apacheroot}/perl
install -m 755 eg/{registry,test}.pl $RPM_BUILD_ROOT/%{apacheroot}/perl
perl -p -i -e "s,user/local,usr," $RPM_BUILD_ROOT/%{apacheroot}/perl/test.pl

perl -pi -e "s,^/usr.*\n,,;" \
         -e "s,^$RPM_BUILD_ROOT,,;" \
    $RPM_BUILD_ROOT/%{perl_sitearch}/auto/mod_perl/.packlist

rm -f $RPM_BUILD_ROOT%{_sbindir}/apachectl*

####### For Solaris
if [ `uname` = "SunOS" ]; then
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/init.d
install -m755 $RPM_SOURCE_DIR/httpd.init.solaris \
	$RPM_BUILD_ROOT%{sysconfdir}/init.d/httpd
ln -s ../../etc/rc.d/init.d/httpd  $RPM_BUILD_ROOT%{_sbindir}/AESctl
ln -s ../../etc/rc.d/init.d/httpd  $RPM_BUILD_ROOT%{_sbindir}/apachectl-perl
ln -s ../../etc/rc.d/init.d/httpd  $RPM_BUILD_ROOT%{_sbindir}/apachectl
for I in 0 1 2 5 6; do
	mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT%{sysconfdir}/rc$I.d/K15httpd
done
for I in 3; do
	mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/rc$I.d
	ln -s ../init.d/httpd $RPM_BUILD_ROOT%{sysconfdir}/rc$I.d/S85httpd
done
install -m 644 $RPM_SOURCE_DIR/solaris.html \
	$RPM_BUILD_ROOT/%{apachecontent}/platform.html
perl -pi -e "s|/usr/local/bin/perl5|/usr/local/bin/perl|g;" \
	$RPM_BUILD_ROOT/%{apachecontent}/manual/search/manual-index.cgi
perl -pi -e "s|/path/to/bin/perl|/usr/local/bin/perl|g;" \
	$RPM_BUILD_ROOT/%{apachecontent}/manual/mod/mod_rewrite.html
perl -pi -e "s|/usr/bin/perl|/usr/local/bin/perl|g;" \
	$RPM_BUILD_ROOT/%{apachecontent}/manual/mod/mod_rewrite.html
perl -pi -e "s|/usr/bin/perl|/usr/local/bin/perl|g;" \
	$RPM_BUILD_ROOT%{_sbindir}/apxs
fi
#######

####### For Linux
if [ `uname` = "Linux" ]; then
mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/rc.d/init.d
install -m755 $RPM_SOURCE_DIR/httpd.init.mandrake \
	$RPM_BUILD_ROOT%{sysconfdir}/rc.d/init.d/httpd
ln -s ../../etc/rc.d/init.d/httpd  $RPM_BUILD_ROOT%{_sbindir}/AESctl
ln -s ../../etc/rc.d/init.d/httpd  $RPM_BUILD_ROOT%{_sbindir}/apachectl
ln -s ../../etc/rc.d/init.d/httpd  $RPM_BUILD_ROOT%{_sbindir}/apachectl-perl
#for I in 0 1 2 6; do
#	mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/rc.d/rc$I.d
#	ln -s ../init.d/httpd $RPM_BUILD_ROOT%{sysconfdir}/rc.d/rc$I.d/K15httpd
#done
#for I in 3 5; do
#	mkdir -p $RPM_BUILD_ROOT%{sysconfdir}/rc.d/rc$I.d
#	ln -s ../init.d/httpd $RPM_BUILD_ROOT%{sysconfdir}/rc.d/rc$I.d/S85httpd
#done
install -m 644 $RPM_SOURCE_DIR/mandrake.html \
	$RPM_BUILD_ROOT/%{apachecontent}/platform.html
perl -pi -e "s|/usr/local/bin/perl5|%{_bindir}/perl|g;" \
	$RPM_BUILD_ROOT/%{apachecontent}/manual/search/manual-index.cgi
perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g;" \
	$RPM_BUILD_ROOT/%{apachecontent}/manual/misc/howto.html
perl -pi -e "s|/path/to/bin/perl|%{_bindir}/perl|g;" \
	$RPM_BUILD_ROOT/%{apachecontent}/manual/mod/mod_rewrite.html
fi
#######

mv $RPM_BUILD_ROOT%{apachecontent}/manual/ \
	$RPM_BUILD_DIR/apache_%{apache_version}/

mv $RPM_BUILD_ROOT%{apachecontent}/addon-modules/mod_perl/ \
	$RPM_BUILD_DIR/apache_%{apache_version}/perldocs

find $RPM_BUILD_DIR/apache_%{apache_version}/manual|grep "~"| \
	xargs rm -f

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%pre
# Add the "apache" user
/usr/sbin/useradd -c "Apache" -u 48 \
	-s /bin/bash -r -d /var/www apache 2> /dev/null || :

%post
perl -pi -e "s|%{oldapacheroot}|%{apacheroot}|g;" %{apachebase}/conf/httpd.conf
if [ -e %{_sbindir}/apachectl ]; then
	%{_sbindir}/apachectl update
fi
cat %{_docdir}/apache-%{apache_version}/optim.html > %{apachecontent}/optim.html
chown apache.apache %{apachecontent}/optim.html

%preun
if [ -f /var/run/httpd.pid -a -e %{_sbindir}/AESctl ];then
   %{_sbindir}/AESctl stop
fi
rm -f %{apachecontent}/optim.html
touch %{apachecontent}/optim.html

%pre common
if [ -e %{oldapacheroot} -a ! -e %{apacheroot} ]; then ln -s %{oldapacheroot} %{apacheroot}; fi

%post common
touch %{apachecontent}/optim.html
chown apache.apache %{apachecontent}/optim.html
/sbin/chkconfig --add httpd

%preun common
/bin/rm -fr %{apachelogs}/httpd/*
rm -f %{apachecontent}/optim.html
/sbin/chkconfig --del httpd

%post manual
rm -f %apachecontent/manual
ln -s %{_docdir}/apache-manual-%{apache_version} %{apachecontent}/manual
chown apache.apache %{apachecontent}/manual

%preun manual
rm -f %{apachecontent}/manual

%post mod_perl
rm -f %apachecontent/addon-modules/mod_perl
ln -s %{_docdir}/apache-mod_perl-%{apache_version}_%{mod_perl_version} %{apachecontent}/addon-modules/mod_perl
chown apache.apache %{apachecontent}/addon-modules/mod_perl
perl -pi -e "s|%{oldapacheroot}|%{apacheroot}|g;" %{apachebase}/conf/httpd-perl.conf
if [ -e %{_sbindir}/apachectl-perl ]; then
	%{_sbindir}/apachectl-perl update
fi
touch %{apachecontent}/optim.html
chown apache.apache %{apachecontent}/optim.html

%preun mod_perl
if [ -f /var/run/httpd-perl.pid -a -e %{_sbindir}/apachectl-perl ];then
   %{_sbindir}/apachectl-perl stop
fi
rm -f %apachecontent/addon-modules/mod_perl

%postun mod_perl
if [ -e %{_sbindir}/AESctl ]; then
	%{_sbindir}/AESctl update
fi

%post -n HTML-Embperl
rm -f %apacheroot/perl/HTML-Embperl
mkdir -p  %{apacheroot}/perl
ln -s %{_docdir}/HTML-Embperl-%{embperl_version} %{apacheroot}/perl/HTML-Embperl
chown apache.apache %{apacheroot}/perl/HTML-Embperl

%preun -n HTML-Embperl
rm -f %{apacheroot}/perl/HTML-Embperl
%post suexec
if [ -e %{_sbindir}/AESctl ]; then
	%{_sbindir}/AESctl update
fi

%files common
%defattr(-,root,root)
%config(noreplace) %{apachebase}/conf/magic
%config(noreplace) %{apachebase}/conf/apache-mime.types
%config(noreplace) %{apachebase}/conf/magic.default
%config(noreplace) %{apachebase}/conf/vhosts
%config(noreplace) %{apachebase}/conf/addon-modules
%attr (-,apache,apache) %dir %{apacheroot}
%attr (-,apache,apache) %{apacheroot}/cgi-bin
%attr (-,apache,apache) %{apacheroot}/icons
%attr (-,apache,apache) %dir %{apachecontent}
%attr (-,apache,apache) %dir %{apachecontent}/addon-modules
%attr (-,apache,apache) %{apachecontent}/platform.html
%attr (-,apache,apache) %config(noreplace) %{apachecontent}/index.shtml
%{_mandir}/*/*
%{_bindir}/*
%{_sbindir}/ab
%{_sbindir}/logresolve
%{_sbindir}/rotatelogs
%{_sbindir}/AESctl
%{_sbindir}/apachectl
%{_sbindir}/apachectl-perl
%attr(-,apache,apache) %dir /var/cache/httpd
%attr(750,apache,apache) %dir %{apachebase}/logs
%attr(750,apache,apache) %dir %{apachelogs}/httpd
%config %{sysconfdir}/*.d

%files manual
%defattr(-,root,root)
%doc manual/*

%files
%defattr(-,root,root)
%config(noreplace) %{apachebase}/conf/httpd.conf
%{_libdir}/apache/*
%{_sbindir}/httpd
%{apachebase}/modules
%attr (-,apache,apache) %{apachecontent}/addon-modules/mod_include_xssi.html
%doc LICENSE optim.html

%files mod_perl 
%defattr(-,root,root)
%config(noreplace) %{apachebase}/conf/httpd-perl.conf
%{_libdir}/perl-apache/*
%{apachebase}/perl-modules
%{archlibexp}/Apache.pm
%dir %{archlibexp}/Apache
%{archlibexp}/Apache/*
%{archlibexp}/auto/Apache/Leak/*
%{archlibexp}/auto/Apache/Symbol/*
%{archlibexp}/auto/Apache/mod_perl.exp
%{archlibexp}/auto/Apache/typemap
%{archlibexp}/cgi_to_mod_perl.pod
%{archlibexp}/mod_perl*
%{perl_man3dir}/Apache*
%{perl_man3dir}/Bundle::Apache*
%{perl_man3dir}/cgi_to_mod_perl*
%{perl_man3dir}/mod_perl*
%{_sbindir}/httpd-perl
%config(noreplace) %{apachebase}/conf/addon-modules/proxied_handlers.pl
%attr (-,apache,apache) %{apacheroot}/perl
%doc perldocs/*
%doc LICENSE

%files mod_perl-devel
%defattr(-,root,root)
%{archlibexp}/auto/Apache/include/*

%files -n HTML-Embperl 
%defattr(-,root,root)
%attr (-,apache,apache) %{apachecontent}/addon-modules/HTML-Embperl.html
%{perl_sitearch}/HTML/*
%{perl_sitearch}/auto/HTML/*
%{perl_man3dir}/HTML*
%doc embperl/*
%doc embperl/.htaccess

%files devel
%defattr(-,root,root)
%{_includedir}/apache
%{_sbindir}/apxs

%files suexec
%defattr(-,root,root)
%{_sbindir}/suexec

%changelog
* Tue Oct 24 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.14-2mdk
- put Requires: apache-common in HTML-Embperl package

* Sat Oct 21 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.14-1mdk
- update to 1.3.14 bugfix+security release
- mod_rewrite patch thanks to Vincent Danen <vdanen@mandrakesoft.com>
- update to EAPI 2.7.1 (bugfixes + update for 1.3.14) thanks to RSE
- update to HTML-Embperl-1.3b6 (update for 1.3.14)
- one week of diff-of-a-diff-of-a-diff-of-a-diff tweaking
- modified httpd.conf so /doc points to /usr/share/doc (thanks to Guillaume
  Rousse <Guillaume.Rousse@univ-reunion.fr>
- added new init script from Mikhail Zabaluev <mookid@sigent.ru> of the
  Russian Apache Project
- Fixed a bug in httpd-perl.conf thanks to Florin Grad
 <florin@mandrakesoft.com>
- Added KOffice mimetypes

* Wed Sep 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-30mdk
- Fixed the [PASSED] in the init script
- Added index.php in DirectoryIndex for PHPNuke 
- fixed post-install script
- fixed BuildRequires
- fixed library name mismatch in mm
- There are still 129 errors with rpmlint, but that's only because all files
  are owned by apache.apache and flepied didn't rebuilt rpmlint.

* Fri Sep 8 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-27mdk
- Created an hyper-robust init script
- apachectl is now a symlink to the init script
- Fixed problems with segfaulting when logtorating (some modules don't like
  kill -USR1, and you have to stop and restart Apache so it restarts
  cleanly)
- Removed BUFFERED_LOGS from the main Makefile. Instead, create a copy of
  mod_log_config with the #define and leave the choice to the user by
  tweaking httpd.conf
- Added support for ApacheJServ, and hopefully Tomcat/Jakarta
- link with -lpthread to fix php-mysql issues
  (Thanks a lot to taki@enternet.hu!)
- rebuilt with patched mm
- new user apache (compatibility with RedHat)
- changed /var/www ownership to apache.apache
- changed log dir ownership to apache.apache
- fixed possible security bug submitted by richardjbrain@hotmail.com where
  the /perl/ directory is browseable

* Thu Aug 24 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-26mdk
- new Mandrake logo from http://mandrake.com/en/poweredby.php3
- EAPI 2.6.6
- fix HTML::Embperl config file
- do not run make test on alpha
- added some documentation in httpd.conf about the buffered logs

* Mon Aug 21 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-25mdk
- fixed init script

* Wed Aug  9 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-24mdk
- fixed a bad link in HTML-Embperl documentation

* Tue Aug  8 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-23mdk
- Apache now works perfectly with mod_perl, HTML::Embperl and Apache::ASP
- Rebuilt with new perl for more security
- Tested *every* file, except for 1 DBI file
- The build process now makes 300 different tests before it writes the
  package
- Cleaned the spec file

* Fri Aug  4 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-22mdk
- added .htaccess for Embperl so the examples work online

* Thu Aug  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-21mdk
- fixed provides for mod_perl
- fixed post scripts

* Thu Aug  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-20mdk
- fixed manual path
- removed the part on the webpage about the SGI optimizations for the
  mod_perl package

* Thu Aug  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-19mdk
- at post-install, s|/home/httpd|/var/www| in httpd-perl.conf also
- put manual in separate package
- put PARSE_FORM and RANDOM_SSI defines for the xssi module

* Thu Aug  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-18mdk
- Fixed the configure script (seems we need to define additional modules
  at the beginning of the configure options.. weird...)

* Thu Aug  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-17mdk
- if /home/httpd exists, link /var/www to it so upgrades do not break the
  system
- at post-install, s|/home/httpd|/var/www| in httpd.conf 

* Wed Aug  2 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-16mdk
- added standalone and cgi Embperl, plus a battery of tests to make sure
  everything compiles and works correctly
- moved document root to %{apacheroot}

* Mon Jul 31 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-15mdk
- added HTML-Embperl in the main package since if won't compile when httpd
  is stripped (needs symbols)
- Long period of experimenting to determine the correct build sequence and
  understand the code well enough to create patches
- HTML-Embperl is needed for many interesting applications, such as Tallyman
  (E-commerce application)  

* Fri Jul 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-14mdk
- Bonnne Fete la France! 14 juillet et 14mdk =)
- completely remade package. Now has mod_perl inside, to build separate
  packages: apache-common, apache-mod_perl and apache. The apache-mod_perl
  package is statically linked and *stable*, while the combination of apache
  + mod_perl (DSO) was causing segfaults all the time, specially with ASP.
  Took me a long time to figure out how to get rid of that problem, and
  thanks to Mikhail Zabaluev for his help!
- It's possible to use both apache and apache-mod_perl. The plain apache
  will proxy the requests to apache-mod_perl. Very efficient.
- prepare for FHS/LSB. Now a macro defines apacheroot, apachecontent and
  apachebase. Macro-ized everything
- added -D_FILE_OFFSET_BITS=64 definitions
- EAPI 2.6.5

* Mon May 08 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-11mdk
- EAPI 2.6.4 (bugfixes again!)
- Workaround for big bug in msec. Now apache chmods 0755 /home/httpd
- More russian descriptions from from Mikhail Zabaluev <mookid@sigent.ru>
- USE_STAT_CACHE

* Mon Apr 17 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-10mdk
- Use the contribs mm instead of bundling it into apache (we'll move mm to
  the main distro, otherwise it'll conflict)
- EAPI 2.6.3 (bugfixes)
- Replaced the vhost sample lines by sample files for DynamicVhosts and
  VirtualHomePages
- Added the new SGI 12-1 and 12-2 patches (bugfixes)
- Split mod_include_xssi.c from mod_include.c (conflict)
- put documentation in /usr/doc where it belongs and made a symlink
  in /home/httpd/html/manual
- added russian descriptions from Mikhail Zabaluev <mookid@sigent.ru>
- changed logrotate so it sends SIGUSR1 because httpdloses buffered log
  entries when restarted by a SIGHUP.

* Fri Apr 14 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-9mdk
- append .c to AddModule mod_vhost_alias
- suggestions from Eric Snyder <Eric@Credible.net>:
- add #VirtualDocumentRoot sample line
- add #VirtualScriptAlias sample line
- add #NameVirtualHost sample line
- put LMDK200Rw.gif logo

* Wed Apr  5 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-8mdk
- cleaned spec

* Mon Apr  3 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-7mdk
- EAPI 2.6.2 (no changes, just want to keep current with Ralph EngelSchall)
- Changed Pentium optimizations to Processor-specific optimizations on web
  page
- Changed layout of webpage so the package is labeled as Mandrake and people
  see it as Apache+addons instead of a non-standard Apache.
- Tested all combinations of patches for mod_perl and mod_ssl, mod_perl was
  the culprit.

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.3.12-6mdk
- don't compile QSC on arch other than Intel.

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-5mdk
- updated EAPI to 2.6.1

* Sun Feb 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-3mdk
- fixed link for addon modules

* Sun Feb 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-3mdk
- removed the patch for mod_log_config.c, was causing a segfault under
  certain conditions with the CustomLog of mod_ssl

* Sun Feb 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-2mdk
- hacked the SGI patches to they work with the EAPI. There is only one
  .rej file that I don't know how to handle yet (buff.c). Maybe we will
  not get every full bit of the 10x performance increase, but we should
  get almost all of it, and Apache will still work with mod_ssl.
- Changed signature for Apache-AdvancedExtranetServer

* Sat Feb 26 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.3.12-1mdk
- updated to 1.3.12
- updated to EAPI 2.6.0

* Sun Jan 23 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 1.3.11
- updated to EAPI 2.5.0

* Tue Jan 18 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to EAPI 2.4.10
- Put the nice Advanced Extranet and SGI optimized logos.

* Wed Jan  5 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- moved suexec to another package so it doesn't get installed by default
- added index.php3 as valid index.

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuilt for Mandrake 7.0
- fixed httpd.pid

* Sat Dec 12 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to mm 1.0.12 and EAPI 2.4.9 
- modified index.shtml to link to www.advancedextranet.com

* Tue Nov 23 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- strip (plz)

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMP check/build

* Mon Oct  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- build for cooker.


* Mon Sep 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- re-build for EAPI 2.4.2 and mm 1.0.11

* Sun Sep 05 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- added tables in index.s html and removed the part about the docs in
  /extranet, because they're not completed yet.

* Fri Sep 03 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- fixed package description

* Fri Sep 03 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated EAPI to 2.4.1
- updated mm to 1.0.10
- added "Listen 80" in httpd.conf

* Wed Aug 18 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated EAPI to 2.4.0

* Mon Aug 16 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 1.3.9

* Sun Aug 15 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Solaris fixes again

* Sat Aug 14 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- changed install for cp -aR so ldconfig does not complain on shared mem
  libs

* Fri Aug 13 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 1.3.8
- cleaned the SPEC file

* Tue Aug 10 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- got new patches from rse@engelschall.com
- fixed some bugs in Solaris RPM
- re-added apachectl, don't know why RH removed it...

* Tue Aug 3 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- re-made the SPEC to port to Solaris rpm
- re-designed the web page to be able to include platform and to
  separate Apache from all the addon packages
- got new patches from rse@engelschall.com

* Sun Aug 1 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- created modules and vhosts directory to clean up a bit

* Sat Jul 31 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated EAPI from mod_ssl 2.3.10
- complete re-write of index.html
- created *LOTS* of new modules for this version
- removed mod_auth bandwidth
- added Hotwired mod_include
- created /protected-cgi-bin to fix security concerns with a cgi in the
  Squid package that was accessible to anyone

* Wed Jul 21 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to mm-1.0.9
- updated EAPI from Jul 15 version of rse@engelschall.com
- cosmetic changes on html manual structure, updated links for
  crypto stuff now that it's on Mandrake site
- removed mod_auth_radius and mod_put, will be in separate packages.
- cleaned sources to have less files

* Sun Jun 06 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to mm-1.0.6
- removed php3 from main apache package, will be in a separate rpm

* Sat Jun 05 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to mm-1.0.5
- added mod_define and addon patch from <rse@engelschall.com>
- added FrontPage 2000 patch
- added fr locale
- added mod_auth_radius
- added mod_put (Netscape Publish)
- changed index.html to add more documentation, links and icons
- re-made httpd.conf, erased srm.conf and access.conf

* Sat May 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Updated to mm-1.0.4
- Updated EAPI from mod_ssl-2.3.1-1.3.6 <rse@engelschall.com>

* Tue May 25 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Hacked apxs so the package finally compiles in one shot
- Tweaked config files to add a bit more performance
- Added shared_time in scoreboard

* Mon May 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Should correctly deside if it should restart apache

* Sun May 23 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to php3.0.8

* Sat May 22 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- added support for RPM_OPT_CFLAGS

* Thu May 20 1999 Jean-Michel Dault <jmdault@netrevolution.com>

- added index.htm and Default.htm in srm.conf
- removed msql support (no rpm, no binary, commercial license)
- added mm-1.0.3 from rse@engelschall.com
- added EAPI from rse@engelschall.com
- added suexec code 

* Tue May 18 1999 Gal Duval <gael@linux-mandrake.com>

- removed sed stuff (there is no sed at install time)
- added a correct srm.conf

* Fri May 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix dependences.

* Wed May 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fixing typo.
- Compressing man-pages.

* Mon May 03 1999 Gal Duval <gael@linux-mandrake.com>
- merged apache and php3, added post and postun config scripts
- moved all archives from tar.gz to tar.bz2
- Mandrake apdaption
- php3 doc linked from the local index.html

* Wed Apr 07 1999 Bill Nottingham <notting@redhat.com>
- allow indexes in /doc

* Tue Apr 06 1999 Preston Brown <pbrown@redhat.com>
- strip binaries

* Mon Apr 05 1999 Preston Brown <pbrown@redhat.com>
- prerequire /bin/rm, added /doc path pointing to /usr/doc for localhost

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- updated log rotating scripts to not complain if logs aren't present.

* Thu Mar 25 1999 Preston Brown <pbrown@redhat.com>
- fixed up path to perl

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- updated init script to conform to new standards
- upgraded to 1.3.6, fixed apxs patch

* Mon Mar 22 1999 Preston Brown <pbrown@redhat.com>
- clean up logfiles on deinstallation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Fri Mar 12 1999 Cristian Gafton <gafton@redhat.com>
- added mod_bandwidth
- updated to 1.3.4
- prereq mailcap

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- added patch to disable building support for ndbm
- build against glibc 2.1

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.3.3 to catch up with bug fixes
- added the /usr/bin/* binaries to the spec file list

* Fri Sep 25 1998 Cristian Gafton <gafton@redhat.com>
- change ownership of cache dir to nobody
- added "Red Hat" to the server string
- updated to version 1.3.2
- fixed all references to httpsd in config files

* Fri Sep 04 1998 Cristian Gafton <gafton@redhat.com>
- small fixes to the spec file
- patch to handle correctly the -d <newroot> option
- leave out the .usr.src.apache_%{version} for now

* Thu Sep 03 1998 Preston Brown <pbrown@redhat.com>
- patched apxs not to bomb out if it can't find httpd

* Wed Sep 02 1998 Preston Brown <pbrown@redhat.com>
- upgraded to apache 1.3.1.
- Heavy rewrite.
- changed providing a_web_server to just webserver.  Humor is not an option.

* Mon Aug 10 1998 Erik Troan <ewt@redhat.com>
- updated to build as non-root user
- added patch to defeat header dos attack

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the default config files to be more paranoid about security

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- fixed init script
- added index.htm to the list of acceptable indexes

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- updated to 1.2.6
- added post script to install htm extension for text/html into
  /etc/mime.types

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced sysv init script

* Tue Jan 06 1998 Erik Troan <ewt@redhat.com>
- updated to 1.2.5, which includes many security fixes

* Wed Dec 31 1997 Otto Hammersmith <otto@redhat.com>
- fixed overkill on http.init stop

* Wed Dec 31 1997 Erik Troan <ewt@redhat.com>
- added patch for backslash DOS attach

* Thu Nov 06 1997 Donnie Barnes <djb@redhat.com>
- added htdigest binary to file list

* Mon Nov 03 1997 Donnie Barnes <djb@redhat.com>
- made the default index.html be config(noreplace) so we no longer
  blow away other folks' index.html

* Wed Oct 29 1997 Donnie Barnes <djb@redhat.com>
- added chkconfig support
- added restart|status options to initscript
- renamed httpd.init to httpd

* Tue Oct 07 1997 Elliot Lee <sopwith@redhat.com>
- Redid spec file, patches, etc. from scratch.
